javax.security.auth.callback

## Class UnsupportedCallbackException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.security.auth.callback.UnsupportedCallbackException

All Implemented Interfaces:
  Serializable

    public class UnsupportedCallbackException
    extends Exception

Signals that a `CallbackHandler` does not recognize a particular `Callback`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnsupportedCallbackException(Callback callback)` Constructs a `UnsupportedCallbackException` with no detail message.
`UnsupportedCallbackException(Callback callback, String msg)` Constructs a UnsupportedCallbackException with the specified detail message.

### Method Summary

Methods
`Callback` `getCallback()` Get the unrecognized `Callback`.

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnsupportedCallbackException

    public UnsupportedCallbackException(Callback callback)

Constructs a `UnsupportedCallbackException` with no detail message.

Parameters:
  `callback` - the unrecognized `Callback`.

#### UnsupportedCallbackException

    public UnsupportedCallbackException(Callback callback,
                                String msg)

Constructs a UnsupportedCallbackException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `callback` - the unrecognized `Callback`.

  `msg` - the detail message.

### Method Detail

#### getCallback

    public Callback getCallback()

Get the unrecognized `Callback`.

Returns:
  the unrecognized `Callback`.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.